## com.sun.jersey.multipart
Class MultiPartConfig

    java.lang.Object
      com.sun.jersey.multipart.MultiPartConfig

    public class MultiPartConfig

extends java.lang.Object

Injectable JavaBean containing the configuration parameters for `jersey-multipart` as used in this particular application.

Field Summary
`static java.lang.String` | `BUFFER_THRESHOLD_NAME` Name of the resource property for the `bufferThreshold` property.
`static java.lang.String` | `MULTI_PART_CONFIG_RESOURCE` Name of a properties resource that (if found in the classpath for this application) will be used to configure the settings returned by our getter methods.

Constructor Summary
`MultiPartConfig()` Load and customize (if necessary) the configuration values for the `jersey-multipart` module.

Method Summary
`int` | `getBufferThreshold()` Return the size (in bytes) of the entity of an incoming `BodyPart` before it will be buffered to disk.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MULTI_PART_CONFIG_RESOURCE

    public static final java.lang.String MULTI_PART_CONFIG_RESOURCE

  Name of a properties resource that (if found in the classpath for this application) will be used to configure the settings returned by our getter methods.

  See Also:
    Constant Field Values

### BUFFER_THRESHOLD_NAME

    public static final java.lang.String BUFFER_THRESHOLD_NAME

  Name of the resource property for the `bufferThreshold` property.

  See Also:
    Constant Field Values

Constructor Detail

### MultiPartConfig

    public MultiPartConfig()

  Load and customize (if necessary) the configuration values for the `jersey-multipart` module.

  Throws:
    `java.lang.IllegalArgumentException` - if the configuration resource exists, but there are problems reading it.

Method Detail

### getBufferThreshold

    public int getBufferThreshold()

  Return the size (in bytes) of the entity of an incoming `BodyPart` before it will be buffered to disk.

  The default value is `4096`.

Copyright © 2017 Oracle Corporation. All Rights Reserved.